
Infrastructure - Task #7039

CN.getNodeCapabilities return v1 object

2015-04-10 23:38 - Jing Tao

Status: Closed Start date: 2015-04-10

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

valley:metacat tao$ curl https://cn-dev.test.dataone.org/cn/

<?xml version="1.0" encoding="UTF-8"?><?xml-stylesheet type="text/xsl" href="/cn/xslt/dataone.types.v1.xsl"?>

urn:node:cnDevUCSB1cn-dev-ucsb-1UCSB Development Protocol Coordinating Nodehttps://cn-dev-ucsb-1.test.dataone.org/cn

CN=urn:node:cnDevUCSB1,DC=dataone,DC=orgCN=Robert P Waltz A904,O=Google,C=US,DC=cilogon,DC=org/d1:node

It should return v2 type object

Related issues:

Duplicated by Infrastructure - Bug #7320: CN.getCapabilities() (v2 only) retu... Closed 2015-08-27

History

#1 - 2015-07-13 22:04 - Ben Leinfelder

- Milestone changed from None to CCI-2.0

- Subject changed from CN.getNodeCapacity return v1 object to CN.getNodeCapabilities return v1 object

- Category set to d1_cn_service

- Assignee changed from Robert Waltz to Ben Leinfelder

#2 - 2015-07-14 00:27 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Updated cn rest service webapp to use v2 node as default return when navigating to the root of the CN webapp.

#3 - 2015-08-27 23:08 - Ben Leinfelder

- Duplicated by Bug #7320: CN.getCapabilities() (v2 only) returns a v1.Node added
